RankrRankr/Documentation
Menu
Prompts

List tracked prompts

The prompts Rankr sends to AI models when checking this brand's visibility. Responses are JSON and require a workspace API key.

GET/v1/brands/{brand_id}/prompts
Requires API key

Parameters

brand_iduuid· pathrequired

Brand to fetch prompts for.

statusstring· queryoptional

Filter by prompt status.

activepausedsuggestedall
categorystring· queryoptional

Filter by prompt category.

discoverycomparisonrecommendationproblem_solvingcustom
Request
curl -X GET 'https://api.rankr.so/v1/brands/:brand_id/prompts' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Response200
JSON
{
  "data": [
    {
      "id": "f0b6c8e1-2d3a-44a9-b0c7-8e4f1a9c7d01",
      "text": "best enterprise widget platform",
      "category": "discovery",
      "is_active": true,
      "status": "active",
      "created_at": "2026-03-02T09:11:00Z"
    }
  ]
}